php5.3.5 编译bin下没有php-cgi[转]

转自:http://hi.baidu.com/hackers365/blog/item/7b3ff37eba99b32c0cd7da3f.html

今天编译了一个最新的php5.3.5,编译参数如下:

./configure –prefix=/usr/local/php5.3.25 –enable-fpm –with-openssl –with-pcre-regex –with-zlib –with-bz2 –with-curl –with-gd –with-gettext –enable-mbstring –with-mcrypt –with-mysql –with-pdo-mysql –enable-zip –with-pear

make

make install

开了php-fpm,运行php-fpm也正常。。nginx在前端访问phpinfo也可以。。但是ps aux|grep php-cgi的时候没有发现php-cgi进程。只有php-fpm进程,纳闷了。。。google后得到结论

以前的版本中需要–enable-fastcgi来开启fastcgi支持,会生成php-cgi文件,而到5.3以后则在内核中支持fastcgi。

发表评论

电子邮件地址不会被公开。 必填项已用 * 标注


*

您可以使用这些 HTML 标签和属性: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong>